## osdlyrics-0.4.3-6.src.tar.gz

=== lib/chardetect/src/Makefile ===
CXXFLAGS = \
	-c -I./tables \
	-Os -Wall \
	-fno-rtti -fno-exceptions \
	-fvisibility=hidden -fvisibility-inlines-hidden \
	-nostdinc++ \
	-D_REENTRANT

LDFLAGS =

SRCS = \
	CharDistribution.cpp \
	JpCntx.cpp \
	LangBulgarianModel.cpp \
	LangCyrillicModel.cpp \
	LangGreekModel.cpp \
	LangHebrewModel.cpp \
	LangHungarianModel.cpp \
	LangThaiModel.cpp \
	nsBig5Prober.cpp \
	nsCharSetProber.cpp \
	nsEUCJPProber.cpp \
	nsEUCKRProber.cpp \
	nsEUCTWProber.cpp \
	nsEscCharsetProber.cpp \
	nsEscSM.cpp \
	nsGB2312Prober.cpp \
	nsHebrewProber.cpp \
	nsLatin1Prober.cpp \
	nsMBCSGroupProber.cpp \
	nsMBCSSM.cpp \
	nsSBCSGroupProber.cpp \
	nsSBCharSetProber.cpp \
	nsSJISProber.cpp \
	nsUTF8Prober.cpp \
	nsUniversalDetector.cpp

OBJS=$(SRCS:%.cpp=%.o)

all: $(OBJS)

$(OBJS): %.o: %.cpp
	libtool --mode=compile $(CXX) $(CXXFLAGS) $<

clean:
	rm -f *.o
	rm -f *.lo
	rm -rf .libs

=== lib/chardetect/test/Makefile ===
TARGET=test-chardetect

all: $(TARGET)

$(TARGET): test-chardetect.c
	$(CC) \
		-O2 \
		-o $(TARGET) \
		test-chardetect.c \
		-I../include \
		-ldl

clean:
	rm -f $(TARGET)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Auguste Pop <auguste [at] gmail [dot] com>

pkgname=osdlyrics
pkgver=0.4.3
pkgrel=6
pkgdesc="A lyric show compatible with various media players"
arch=('x86_64')
url="https://github.com/osdlyrics/osdlyrics"
license=('GPL3')
depends=('gtk2' 'dbus-glib' 'curl' 'libnotify' 'libmpd' 'xmms2'
         'desktop-file-utils' 'hicolor-icon-theme' 'sqlite')
makedepends=('intltool')
source=("$pkgname-$pkgver.tar.gz::$url/archive/$pkgver.tar.gz")
sha256sums=('87906c0327e0c07180da44ee8672cd2a29ef376f7b5b27d70139684d400171e4')

prepare() {
  cd "$srcdir/$pkgname-$pkgver"

  # -Werror is really quite annoying
  ## automake: warning: possible forward-incompatibility.
  ## automake: At least a source file is in a subdirectory, but the 'subdir-objects'
  ## automake: automake option hasn't been enabled.
  sed -i 's/-Werror//g' configure.ac
  autoreconf -fi
}

build() {
  cd "$srcdir/$pkgname-$pkgver"

  ./configure --prefix=/usr
  make
}

package() {
  cd "$srcdir/$pkgname-$pkgver"
  make DESTDIR="$pkgdir" install
}
